> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris Payslip Download Url

> Returns a signed download URL for a payslip file, org-wide for admins and own-seat for employees.

Not available to API keys yet. It will need `compensation:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-hris-payslip-download-url
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-payslip-download-url:
    post:
      operationId: getHrisPayslipDownloadUrl
      summary: Get Hris Payslip Download Url
      description: >-
        Returns a signed download URL for a payslip file, org-wide for admins
        and own-seat for employees.


        Not available to API keys yet. It will need `compensation:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetHrisPayslipDownloadUrlRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisPayslipDownloadUrlResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisPayslipDownloadUrlRequest:
      type: object
      properties:
        hrisPayslipID:
          type: string
          format: uuid
      required:
        - hrisPayslipID
    GetHrisPayslipDownloadUrlResponse:
      type: object
      properties:
        hrisPayslipID:
          type: string
        fileID:
          type: string
        fileName:
          type: string
        mimeType:
          type: string
        downloadUrl:
          type: string
      required:
        - hrisPayslipID
        - fileID
        - fileName
        - mimeType
        - downloadUrl
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
